summaryrefslogtreecommitdiffstats
path: root/Cancer/assets/bin/check-truth
diff options
context:
space:
mode:
authormakefu <github@syntax-fehler.de>2013-12-30 03:05:26 +0100
committermakefu <github@syntax-fehler.de>2013-12-30 03:05:26 +0100
commit0b81bca953ec7cdf373ff97b11ebd6fb847d733f (patch)
tree63d62f6c32dd6726f823eb2af32cb2a7fab03530 /Cancer/assets/bin/check-truth
parent96151bd07330aee400fb99fd9f8f117bae42c9e5 (diff)
libkrebs is obsolete
Diffstat (limited to 'Cancer/assets/bin/check-truth')
-rwxr-xr-xCancer/assets/bin/check-truth11
1 files changed, 11 insertions, 0 deletions
diff --git a/Cancer/assets/bin/check-truth b/Cancer/assets/bin/check-truth
new file mode 100755
index 00000000..064a7d97
--- /dev/null
+++ b/Cancer/assets/bin/check-truth
@@ -0,0 +1,11 @@
+#!/bin/sh
+set -euf
+HERE=$(dirname $(readlink -f $0))
+DB="$HERE/../../db/truth"
+read LINE
+if (cat $DB;echo $LINE) | $HERE/truth2json - 1>/dev/null ;then
+ echo "success" 1>&2
+ echo "$LINE"
+else
+ echo "you fail" 1>&2
+fi